JobControl (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred.jobcontrol, class: JobControl

Package org.apache.hadoop.mapred.jobcontrol

# Class JobControl

java.lang.Object
org.apache.hadoop.mapreduce.lib.jobcontrol.JobControl
org.apache.hadoop.mapred.jobcontrol.JobControl

All Implemented Interfaces:
  `Runnable`

@Public @Stable public class JobControl extends JobControl

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.jobcontrol.JobControl

  `JobControl.ThreadState`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobControl(String groupName)`
  Construct a job control for a group of jobs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addJobs(Collection<Job> jobs)`
  Add a collection of jobs
  `ArrayList<Job>`
  `getFailedJobs()`
  `ArrayList<Job>`
  `getReadyJobs()`
  `ArrayList<Job>`
  `getRunningJobs()`
  `int`
  `getState()`
  `ArrayList<Job>`
  `getSuccessfulJobs()`
  `ArrayList<Job>`
  `getWaitingJobs()`

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.jobcontrol.JobControl

  `addJob, addJob, addJobCollection, allFinished, getFailedJobList, getReadyJobsList, getRunningJobList, getSuccessfulJobList, getThreadState, getWaitingJobList, resume, run, stop, suspend`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JobControl

    public JobControl(String groupName)
    Construct a job control for a group of jobs.
    Parameters:
      `groupName` - a name identifying this group

- ## Method Details

  - ### getWaitingJobs

    public ArrayList<Job> getWaitingJobs()
    Returns:
      the jobs in the waiting state

  - ### getRunningJobs

    public ArrayList<Job> getRunningJobs()
    Returns:
      the jobs in the running state

  - ### getReadyJobs

    public ArrayList<Job> getReadyJobs()
    Returns:
      the jobs in the ready state

  - ### getSuccessfulJobs

    public ArrayList<Job> getSuccessfulJobs()
    Returns:
      the jobs in the success state

  - ### getFailedJobs

    public ArrayList<Job> getFailedJobs()

  - ### addJobs

    public void addJobs(Collection<Job> jobs)
    Add a collection of jobs
    Parameters:
      `jobs` -

  - ### getState

    public int getState()
    Returns:
      the thread state